Subject: RE: CLARIFICATION: Re: [mobile-ip] RFC3012bis-04 Available

From: "Kuntal Chowdhury" <[email-masked]>
Date: Mon, 6 Jan 2003 14:14:37 -0600

Charlie,
The entire discussion about allowing MN-FA and MN-AAA in the same
registration request is based on scenarios that require the FA to talk to
AAA. The argument for allowing both these extensions is: the MN may desire
to get authenticated/authorized by the AAA server. If it is allowed, it
won't break anything. However, RFC3012bis will be largely used over wireless
links. By sending redundant information (both MN-FA and MN-AAA), air
resources will be wasted. Since we have the opportunity here (3012bis) to do
the right thing, we should not allow transmission of redundant information
over the air by allowing both MN-FA and MN-AAA. The editorial work to
clarify this will be pretty minor. I still think adding a sentence in the
document to say "MN SHOULD include MN-AAA only when it desires to be
authenticated/authorized by AAA" is a good idea.

Regards,
Kuntal

> -----Original Message-----
> From: Charles E. Perkins [mailto:[email-masked]] 
> Sent: Monday, January 06, 2003 1:03 PM
> To: Chowdhury, Kuntal [RICH1:2H18:EXCH]; Bharatia, Jayshree 
> [RICH1:2H13:EXCH]; [email-masked]'
> Subject: CLARIFICATION: Re: [mobile-ip] RFC3012bis-04 Available
> 
> 
> "Charles E. Perkins" wrote:
> 
> > >                I don't see the need for MN-FA authentication 
> > > extension when MN-AAA auth extension is present.
> > 
> > The base Mobile IP specification requires it, so it has to be there.
> 
> I meant this in the context of the discussion when the mobile 
> node shares a mobility security association with the foreign 
> agent.  Of course, the Mobile-Foreign extension is NOT 
> required when there is no such mobility security association.
> 
> Regards,
> Charlie P.
>

---

From: Yoshiyuki Tsuda <[email-masked]>
Date: Tue, 07 Jan 2003 07:14:52 +0900

Kuntal,

 You are missing my previous email.  I had meant that:
 - MN-AAA authentication extension was intended to be used by an
   AAA to authenticate an MN, and assign an HA, because the MN set
   the HA field with 0.0.0.0 or 255.255.255.255 in the registration
   request,
 - while the MN shared a security association with the FA.

 Also, I don't think adding the Mobile-Foreign authentication
 extension will waste the cdma2000 air resources too much.  It's
 only 22 Bytes in about 106+ Byte IP packet.  And, considering the
 fact that the 2nd or later RRQs will contain Mobile-Foreign auth.
 ext. or MN-AAA auth. ext. with Mobile-Home auth. ext., there is
 no matter even if the 1st RRQ will include Mobile-Foreign auth.
 ext. with MN-AAA auth. ext, I believe.
 I know your activities in 3GPP2 TSG-P, but are all members in
 that group claiming so ?

 Lastly, according to my experiences in attending on bakeoffs,
 adding that text will cause a big interoperating problem with
 existing FAs, I'm deeply afraid...

Thanks.
-Yoshi

at Mon, 6 Jan 2003 14:14:37 -0600, Kuntal Chowdhury wrote:
>AAA.The argument for allowing both these extensions is: the MN may d
esire